using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Robot
{
    [DataContract]
    public class WCS_Robot520 : IRobot520
    {
        [DataMember(Order = 0)]
        public int TaskNumber1 { get; set; }

        [DataMember(Order = 1)]
        public short SLine1 { get; set; }

        [DataMember(Order = 2)]
        public short SCol1 { get; set; }

        [DataMember(Order = 3)]
        public short SLayer1 { get; set; }

        [DataMember(Order = 4)]
        public short SDepth1 { get; set; }

        [DataMember(Order = 5)]
        public short ELine1 { get; set; }

        [DataMember(Order = 6)]
        public short ECol1 { get; set; }

        [DataMember(Order = 7)]
        public short ELayer1 { get; set; }

        [DataMember(Order = 8)]
        public short EDepth1 { get; set; }

        [DataMember(Order = 9)]
        public short Res1 { get; set; }

        [DataMember(Order = 10)]
        public short Res2 { get; set; }

        [DataMember(Order = 11)]
        public short Res3 { get; set; }

        [DataMember(Order = 12)]
        public int Res4 { get; set; }

        [DataMember(Order = 13)]
        public short Res5 { get; set; }

        [DataMember(Order = 14)]
        public short Res6 { get; set; }

        [DataMember(Order = 15)]
        public short Res7 { get; set; }

        [DataMember(Order = 16)]
        public short Res8 { get; set; }

        [DataMember(Order = 17)]
        public int TaskNumber2 { get; set; }

        [DataMember(Order = 18)]
        public short SLine2 { get; set; }

        [DataMember(Order = 19)]
        public short SCol2 { get; set; }

        [DataMember(Order = 20)]
        public short SLayer2 { get; set; }

        [DataMember(Order = 21)]
        public short SDepth2 { get; set; }

        [DataMember(Order = 22)]
        public short ELine2 { get; set; }

        [DataMember(Order = 23)]
        public short ECol2 { get; set; }

        [DataMember(Order = 24)]
        public short ELayer2 { get; set; }

        [DataMember(Order = 25)]
        public short EDepth2 { get; set; }

        [DataMember(Order = 26)]
        public short GoodsType { get; set; }

        [DataMember(Order = 27)]
        public short TaskType { get; set; }

        [DataMember(Order = 28)]
        public short OkAck { get; set; }

        [DataMember(Order = 29)]
        public short TaskSum { get; set; }

        [DataMember(Order = 30)]
        public int VoucherNo { get; set; }

        [DataMember(Order = 31)]
        public short Res9 { get; set; }

        [DataMember(Order = 32)]
        public short Res10 { get; set; }

        [DataMember(Order = 33)]
        public short Res11 { get; set; }
    }
}
